using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
namespace DALFactory
{
    public static class DataAccess
    {
        public static IDAL.IMusic CreateMusic(string source)
        {
            if (source.Contains('.'))
            {
                return (IDAL.IMusic)(Assembly.Load("DAL").CreateInstance(source));
            }
            else { return (IDAL.IMusic)(Assembly.Load("DAL").CreateInstance("DAL." + source)); }
        }
    }
}